Package org.drinkless.tdlib

# Class TdApi.SendMessageViewMetrics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SendMessageViewMetrics

Enclosing class:
  `TdApi`

public static class TdApi.SendMessageViewMetrics extends TdApi.Function<TdApi.Ok>
Informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history. The method must be called if the message wasn't seen for more than 300 milliseconds, the viewport was destroyed, or the total view duration exceeded 5 minutes.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `activeTimeInViewMs`
  The amount of time the message was seen by at least 1 pixel within 15 seconds after any action from the user; in milliseconds.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `heightToViewportRatioPerMille`
  The ratio of the post height to the viewport height in 1/1000 fractions.
  `long`
  `messageId`
  The identifier of the message being viewed.
  `int`
  `seenRangeRatioPerMille`
  The ratio of the viewed post height to the full post height in 1/1000 fractions; 0-1000.
  `int`
  `timeInViewMs`
  The amount of time the message was seen by at least 1 pixel; in milliseconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendMessageViewMetrics()`
  Default constructor for a function, which informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history.
  `SendMessageViewMetrics(long chatId, long messageId, int timeInViewMs, int activeTimeInViewMs, int heightToViewportRatioPerMille, int seenRangeRatioPerMille)`
  Creates a function, which informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    The identifier of the message being viewed.

  - ### timeInViewMs

    public int timeInViewMs
    The amount of time the message was seen by at least 1 pixel; in milliseconds.

  - ### activeTimeInViewMs

    public int activeTimeInViewMs
    The amount of time the message was seen by at least 1 pixel within 15 seconds after any action from the user; in milliseconds.

  - ### heightToViewportRatioPerMille

    public int heightToViewportRatioPerMille
    The ratio of the post height to the viewport height in 1/1000 fractions.

  - ### seenRangeRatioPerMille

    public int seenRangeRatioPerMille
    The ratio of the viewed post height to the full post height in 1/1000 fractions; 0-1000.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendMessageViewMetrics

    public SendMessageViewMetrics()
    Default constructor for a function, which informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history. The method must be called if the message wasn't seen for more than 300 milliseconds, the viewport was destroyed, or the total view duration exceeded 5 minutes.

    Returns `Ok`

  - ### SendMessageViewMetrics

    public SendMessageViewMetrics(long chatId, long messageId, int timeInViewMs, int activeTimeInViewMs, int heightToViewportRatioPerMille, int seenRangeRatioPerMille)
    Creates a function, which informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history. The method must be called if the message wasn't seen for more than 300 milliseconds, the viewport was destroyed, or the total view duration exceeded 5 minutes.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `messageId` - The identifier of the message being viewed.
      `timeInViewMs` - The amount of time the message was seen by at least 1 pixel; in milliseconds.
      `activeTimeInViewMs` - The amount of time the message was seen by at least 1 pixel within 15 seconds after any action from the user; in milliseconds.
      `heightToViewportRatioPerMille` - The ratio of the post height to the viewport height in 1/1000 fractions.
      `seenRangeRatioPerMille` - The ratio of the viewed post height to the full post height in 1/1000 fractions; 0-1000.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR